Index: mccord_demo/artifact.html
===================================================================
--- mccord_demo/artifact.html	(revision 7404)
+++ mccord_demo/artifact.html	(working copy)
@@ -6,9 +6,9 @@
   	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
 	<title>M956.5 | Headdress | McCord Museum</title>
 	<!-- Links to the basic FSS style sheets -->
-	<link type="text/css" rel="stylesheet" media="all" href="../framework/fss/css/fss-reset.css" />
 	<link type="text/css" rel="stylesheet" media="all" href="../framework/fss/css/fss-layout.css" />
-	<link type="text/css" rel="stylesheet" media="all" href="../framework/fss/css/fss-text.css" />
+	<link type="text/css" rel="stylesheet" media="all" href="../framework/fss/css/fss-text.css" />	
+	<link type="text/css" rel="stylesheet" href="../framework/fss/css/fss-theme-iphone.css" />	
 		
 	<!--  Required javascript modules for the Artifact viewer which can be replaced with the build generated file Fluid-all.js -->
     <script type="text/javascript" src="../lib/jquery/core/js/jquery.js"></script>
@@ -18,30 +18,53 @@
 	<script type="text/javascript" src="../framework/renderer/js/fluidRenderer.js"></script>
 	<script type="text/javascript" src="js/artifact.js"></script>
   </head>
-  <body>
-	<div class="fl-container-750 fl-centered">
-		<div class="flc-artifact-header fl-container-flex">
-      		<h2 class="artifact-name">Headdress</h2>
- 		</div>
-		<div class="flc-artifact-image">
-			<img src="M956.5_files/5090.jpg" alt="" />
-		</div>
-		<div class="flc-artifact-content fl-container-flex">
-			<br/>Anonyme - Anonymous
-			<br/>Eastern Woodlands
-			<br/>Aboriginal: Maliseet
-			<br/>1865-1900, 19th century
-			<br/>Ostrich feathers, glass beads, brass beads, brass tokens, silk ribbon, cotton
-			thread, birchbark, cardboard, metallic thread, metallic ribbon, metal braid
-			<br/>28.5 x 58 cm
-			<br/>Gift of Mr. David Ross McCord
-			<br/>M956.5
-		</div>
-		<div class="flc-artifact-details fl-container-flex">
-			<br/><br/><a href="M9565_detail.html">Description</a>
-			<br/><br/><strong>Keywords:</strong>&nbsp;<a href="http://www.mccord-museum.qc.ca/scripts/search_results.php?Lang=1&amp;keyword=6992" title="All tagged images" rel="nofollow">Headdress</a>&nbsp;(38)
-		</div>
+<body>
+  
+<div class="fl-navbar">
+	<a href="explore_collections_costumes.php" class="fl-button-left fl-backButton"><span class="fl-button-inner fl-text-bevel-whiteText">Costumes</span></a>
+	<a href="search.php" class="fl-button-right"><span class="fl-button-inner fl-text-bevel-whiteText">Search</span></a>		
+	<h1 class="fl-text-bevel-whiteText">Dress</h1>
+</div>
+
+<div class="fl-container-auto">
+	<div class="flc-artifact-image">
+		<img src="images/dress.png" alt="" />
 	</div>
+		
+	<dl class="fl-listdata">
+		<dt>Creator
+		<dd>Anonyme - Anonymous
+		
+		<dt>Location
+		<dd>Eastern Woodlands
+				
+		<dt>Culture
+		<dd>Aboriginal: Maliseet
+		
+		<dt>Time
+		<dd>1865-1900, 19th century
+		
+		<dt>Materials
+		<dd>Ostrich feathers, glass beads, brass beads, brass tokens, silk ribbon, cotton
+		thread, birchbark, cardboard, metallic thread, metallic ribbon, metal braid
+
+		<dt>Size
+		<dd>28.5 x 58 cm
+
+		<dt>Source
+		<dd>Gift of Mr. David Ross McCord
+		
+		<dt>ID#
+		<dd>M956.5
+	</dl>
+	
+	<div class="flc-artifact-details fl-container-flex">
+		<br/><br/><a href="M9565_detail.html">Description</a>
+		<br/><br/><strong>Keywords:</strong>&nbsp;<a href="http://www.mccord-museum.qc.ca/scripts/search_results.php?Lang=1&amp;keyword=6992" title="All tagged images" rel="nofollow">Headdress</a>&nbsp;(38)
+	</div>
+</div>
+
+
 	<script type="text/javascript">
 		fluid.artifact("body");
 	</script>
Index: mccord_demo/explore_collections.php
===================================================================
--- mccord_demo/explore_collections.php	(revision 7404)
+++ mccord_demo/explore_collections.php	(working copy)
@@ -14,15 +14,20 @@
 
 <div class="fl-container-auto">
 
-    <ul id="menu" class="fl-listmenu fl-menu-thumbnails">
+    <ul id="menu" class="fl-listmenu">
 
-    	<li class=""><img src="images/5.jpg" alt="" /><a href="explore_collections_costumes.php">Costume and Textiles</a><br />Women's and men's clothing and accessories, designer garments, samplers, quilts and other textiles.</li>
-    	<li><img src="images/2.jpg" alt="" /><a href="explore_collections_costumes.php">Decorative Arts</a><br />Furniture, dishes, toys and other artifacts that bear witness to the history of Canada in the 19th and 20th centuries.</li>
-    	<li><img src="images/3.jpg" alt="" /><a href="explore_collections_costumes.php">Ethnology and Archaeology</a><br />Clothing, headgear, baby carriers, hunting and fishing implements that illustrate the history and art of the First Nations.</li>
-    	<li><img src="images/4.jpg" alt="" /><a href="explore_collections_costumes.php">Notman Photographic Archives</a><br />Photographs, taken from 1840 to the present, documenting the history of Canada.</li>
-    	<li><img src="images/5.jpg" alt="" /><a href="explore_collections_costumes.php">Paintings, Prints and Drawings</a><br />Paintings, miniatures, silhouettes, prints and cartoons that reflect Canada from the 18th to the 21st centuries.</li>
-    	<li><img src="images/6.jpg" alt="" /><a href="explore_collections_costumes.php">Textual Archives</a><br />Manuscripts, greeting cards, letters and other documents that illustrate the history of Canada from the 18th century to the present.</li>
+    	<li><a href="explore_collections_costumes.php"><img src="images/5.jpg" alt="" /> Costume and Textiles</a><div class="fl-summary">Women's and men's clothing and accessories, designer garments, samplers, quilts and other textiles.</div></li>
 
+    	<li><a href="explore_collections_costumes.php"><img src="images/2.jpg" alt="" /> Decorative Arts</a><div class="fl-summary">Furniture, dishes, toys and other artifacts that bear witness to the history of Canada in the 19th and 20th centuries.</div></li>
+    	
+    	<li><a href="explore_collections_costumes.php"><img src="images/3.jpg" alt="" /> Ethnology and Archaeology</a><div class="fl-summary">Clothing, headgear, baby carriers, hunting and fishing implements that illustrate the history and art of the First Nations.</div></li>
+    	
+    	<li><a href="explore_collections_costumes.php"><img src="images/4.jpg" alt="" /> Notman Photographic Archives</a><div class="fl-summary">Photographs, taken from 1840 to the present, documenting the history of Canada.</div></li>
+    	
+    	<li><a href="explore_collections_costumes.php"><img src="images/5.jpg" alt="" /> Paintings, Prints and Drawings</a><div class="fl-summary">Paintings, miniatures, silhouettes, prints and cartoons that reflect Canada from the 18th to the 21st centuries.</div></li>
+    	
+    	<li><a href="explore_collections_costumes.php"><img src="images/6.jpg" alt="" /> Textual Archives</a><div class="fl-summary">Manuscripts, greeting cards, letters and other documents that illustrate the history of Canada from the 18th century to the present.</div></li>
+
     </ul>             
 
 </div>
Index: mccord_demo/include/header.inc.php
===================================================================
--- mccord_demo/include/header.inc.php	(revision 7404)
+++ mccord_demo/include/header.inc.php	(working copy)
@@ -10,7 +10,7 @@
 	<meta name="apple-mobile-web-app-capable" content="yes" />
 	<meta name="apple-mobile-web-app-status-bar-style" content="black-translucent" />
     
-    <script type="text/javascript" src="../lib/jquery/core/js/jquery.js"></script>
+    <script type="text/javascript" src="../jquery/jquery.js"></script>
     <script type="text/javascript" src="../framework/core/js/Fluid.js"></script>
     <script type="text/javascript" src="../framework/core/js/FluidDOMUtilities.js"></script>
     <script type="text/javascript" src="../framework/core/js/DataBinding.js"></script>
Index: mccord_demo/explore.php
===================================================================
--- mccord_demo/explore.php	(revision 7404)
+++ mccord_demo/explore.php	(working copy)
@@ -14,8 +14,8 @@
     	<li><a href=""><img class="fl-icon" src="images/4.jpg" alt="" />Time Periods</a></li>
     	<li><a href=""><img class="fl-icon" src="images/5.jpg" alt="" />Geocultural Areas</a></li>
     	<li><a href=""><img class="fl-icon" src="images/6.jpg" alt="" />Geocultural Map</a></li>
-    	<li><a href=""><img class="fl-icon" src="images/7.jpg" alt="" />Thematic Tours</a></li>
-    	<li><a href=""><img class="fl-icon" src="images/8.jpg" alt="" />Fonds</a></li>
+    	<li><a href=""><img class="fl-icon" src="images/1.jpg" alt="" />Thematic Tours</a></li>
+    	<li><a href=""><img class="fl-icon" src="images/2.jpg" alt="" />Fonds</a></li>
     </ul>             
     <div class="fl-container-flex footer">
       <p>This is a footer</p>
Index: mccord_demo/explore_collections_costumes.php
===================================================================
--- mccord_demo/explore_collections_costumes.php	(revision 7404)
+++ mccord_demo/explore_collections_costumes.php	(working copy)
@@ -1,3 +1,5 @@
+<?php require_once('include/header.inc.php'); ?>
+
 <div class="fl-navbar">
 
 	<a href="explore_collections.php" class="fl-button-left fl-backButton"><span class="fl-button-inner fl-text-bevel-whiteText">Collections</span></a>
@@ -12,18 +14,19 @@
 
 <div class="fl-container-auto">
 
-    <ul id="menu" class="fl-listmenu fl-listmenu-icons">
+    <ul id="menu" class="fl-listmenu">
 
     	<li><a href="">About</a></li>
 
-    	<li><a href="">Artifacts (794)</a></li>
+    	<li><a href="artifact.html">Artifacts (794)</a></li>
 
     	<li><a href="">Related Games</a></li>
 
     	<li><a href="">Related Web Tours</a></li>
 
     </ul>             
-
 
 
 </div>
+
+<?php require_once('include/footer.inc.php'); ?>
Index: mccord_demo/fx.js
===================================================================
--- mccord_demo/fx.js	(revision 7404)
+++ mccord_demo/fx.js	(working copy)
@@ -19,8 +19,10 @@
        
         // trigger animation via class name modification
         var transition = "fl-transition-" + options.type;
-        var destination = "fl-transition-" + options.type + "-" + options.direction + "-" + options.phase         
-        $(element).addClass(transition).addClass(destination);
+        var destination = "fl-transition-" + options.type + "-" + options.direction + "-" + options.phase;
+        var NONphase = (options.phase === "in") ? "out" : "in";
+		var notDestination = "fl-transition-" + options.type + "-" + options.direction + "-" + NONphase;
+        $(element).removeClass(transition + " " + destination +  " " + notDestination).addClass(transition).addClass(destination);
     };
     
 
@@ -65,8 +67,8 @@
         });
         that.showView = function(index){
             if (that.viewsArray[index-1]){
-                fluid.transition($(that.viewsArray[index-1]), {type:"slide", direction:"left", phase:"out"});                
-                fluid.transition($(that.viewsArray[index]), {type:"slide", direction:"left", phase:"in"});
+                fluid.transition(that.viewsArray[index-1], {type:"slide", direction:"left", phase:"out"});                
+                fluid.transition(that.viewsArray[index], {type:"slide", direction:"left", phase:"in"});
             } else {
                 $(that.viewsArray[index]).removeClass().addClass('fl-view');
             }
@@ -83,7 +85,7 @@
         that.createView = function(viewContent){
             var newView = $('<div class="fl-view fl-offScreen-right">' + viewContent + '</div>');
             $("body").append(newView);
-            that.viewsArray.push(newView[0]);
+            that.viewsArray.push(newView);
             that.showView(that.viewIndex);
         };       
         
